image: python:latest

before_script:
  - apt-get update -q -y
  - apt-get install -y build-essential libgl1-mesa-glx kicad
  - python --version
  - python -m pip install --upgrade pip
  - pip install virtualenv
  - virtualenv venv
  - source venv/bin/activate
  - pip install -r requirements.txt
  - pip install --pre cadquery==2.2.*  # Use `pip install cadquery==2.2.*` instead once there is a production release of CadQuery 2.2 on PyPI

#
# 4UCON_17809 Directory
#
ucon_17809:
  script:
    - ./generator.py --output_dir ./3dmodels --library 4UCON_17809 --enable-vrml True
    # - sudo find / -iname 3dmodels > models_location.txt
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connectors_4UCON.3dshapes
      # - models_location.txt
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Altech directory
#
Altech:
  script:
    - ./generator.py --output_dir ./3dmodels --library Altech --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/TerminalBlock_Altech.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Battery directory
#
Battery:
  script:
    - ./generator.py --output_dir ./3dmodels --library Battery --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Battery.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# BGA_packages directory
#
BGA_packages:
  script:
    - ./generator.py --output_dir ./3dmodels --library BGA_packages --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Package_BGA.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Box_Headers directory
#
Box_Headers:
  script:
    - ./generator.py --output_dir ./3dmodels --library Box_Headers --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_IDC.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Button_Switch_Nidec directory
#
Button_Switch_Nidec:
  script:
    - ./generator.py --output_dir ./3dmodels --library Button_Switch_Nidec --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Button_Switch_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Button_Switch_Tactile_SMD_THT directory
#
Button_Switch_Tactile_SMD_THT:
  script:
    - ./generator.py --output_dir ./3dmodels --library Button_Switch_Tactile_SMD_THT --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Button_Switch_SMD.3dshapes
      - 3dmodels/Button_Switch_THT.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Buzzer_Beeper directory
#
Buzzer_Beeper:
  script:
    - ./generator.py --output_dir ./3dmodels --library Buzzer_Beeper --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Buzzer_Beeper.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# C_Chip_SMD directory
#
C_Chip_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library C_Chip_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Capacitor_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# C_Trimmer directory
#
C_Trimmer:
  script:
    - ./generator.py --output_dir ./3dmodels --library C_Trimmer --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Capacitor_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Capacitor_THT directory
#
Capacitor_THT:
  script:
    - ./generator.py --output_dir ./3dmodels --library Capacitor_THT --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Capacitor_THT.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Conn_PinSocket directory
#
Conn_PinSocket:
  script:
    - ./generator.py --output_dir ./3dmodels --library Conn_PinSocket --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_PinSocket_1.00mm.3dshapes
      - 3dmodels/Connector_PinSocket_1.27mm.3dshapes
      - 3dmodels/Connector_PinSocket_2.00mm.3dshapes
      - 3dmodels/Connector_PinSocket_2.54mm.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Conn_Stocko directory
#
Conn_Stocko:
  script:
    - ./generator.py --output_dir ./3dmodels --library Conn_Stocko --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_Stocko.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Connector_Audio directory
#
Connector_Audio:
  script:
    - ./generator.py --output_dir ./3dmodels --library Connector_Audio --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_Audio.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Connector_Coaxial directory
#
Connector_Coaxial:
  script:
    - ./generator.py --output_dir ./3dmodels --library Connector_Coaxial --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_Coaxial.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Connector_Dsub directory
#
Connector_Dsub:
  script:
    - ./generator.py --output_dir ./3dmodels --library Connector_Dsub --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_Dsub.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Connector_FFC-FPC directory
#
Connector_FFC-FPC:
  script:
    - ./generator.py --output_dir ./3dmodels --library Connector_FFC-FPC --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_FFC-FPC.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Connector_Phoenix_SPT directory
#
Connector_Phoenix_SPT:
  script:
    - ./generator.py --output_dir ./3dmodels --library Connector_Phoenix_SPT --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_Phoenix_SPT.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Connector_PinHeader directory
#
Connector_PinHeader:
  script:
    - ./generator.py --output_dir ./3dmodels --library Connector_PinHeader --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_PinHeader_2.54mm.3dshapes
      - 3dmodels/Connector_PinHeader_2.00mm.3dshapes
      - 3dmodels/Connector_PinHeader_1.27mm.3dshapes
      - 3dmodels/Connector_PinHeader_1.00mm.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Connector_USB directory
#
Connector_USB:
  script:
    - ./generator.py --output_dir ./3dmodels --library Connector_USB --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_USB.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Connector_Wago_734 directory
#
Connector_Wago_734:
  script:
    - ./generator.py --output_dir ./3dmodels --library Connector_Wago_734 --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_Wago_734.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Connector_Wuerth_WR-PHD directory
#
Connector_Wuerth_WR-PHD:
  script:
    - ./generator.py --output_dir ./3dmodels --library Connector_Wuerth_WR-PHD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_Wuerth_WR-PHD_Bottom-Entry.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Converter_ACDC directory
#
Converter_ACDC:
  script:
    - ./generator.py --output_dir ./3dmodels --library Converter_ACDC --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Converter_ACDC.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Converter_DCDC directory
#
Converter_DCDC:
  script:
    - ./generator.py --output_dir ./3dmodels --library Converter_DCDC --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Converter_DCDC.3dshapes
      - 3dmodels/Converter_ACDC.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# CP_Radial_SMD directory
#
CP_Radial_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library CP_Radial_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Capacitor_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# CP_Radial_THT directory
#
CP_Radial_THT:
  script:
    - ./generator.py --output_dir ./3dmodels --library CP_Radial_THT --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Capacitor.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# CP_Tantalum_SMD directory
#
CP_Tantalum_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library CP_Tantalum_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Capacitor_Tantalum_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# CP_Tantalum_THT directory
#
CP_Tantalum_THT:
  script:
    - ./generator.py --output_dir ./3dmodels --library CP_Tantalum_THT --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Capacitor_THT.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Crystal directory
#
Crystal:
  script:
    - ./generator.py --output_dir ./3dmodels --library Crystal --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Crystal.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# diodes_SMx_SMD directory
#
diodes_SMx_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library diodes_SMx_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Diodes_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# DIP_packages directory
#
DIP_packages:
  script:
    - ./generator.py --output_dir ./3dmodels --library DIP_packages --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Package_DIP.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# DIP_parts directory
#
DIP_parts:
  script:
    - ./generator.py --output_dir ./3dmodels --library DIP_parts --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Button_Switch_THT.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Directfet_SMD directory
#
Directfet_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library Directfet_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Package_DirectFET.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Filter directory
#
Filter:
  script:
    - ./generator.py --output_dir ./3dmodels --library Filter --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Filter.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Flat_Pin_packages directory
#
Flat_Pin_packages:
  script:
    - ./generator.py --output_dir ./3dmodels --library Flat_Pin_packages --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Diodes_SMD.3dshapes
      - 3dmodels/TO_SOT_Packages_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Fuse directory
#
Fuse:
  script:
    - ./generator.py --output_dir ./3dmodels --library Fuse --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Fuse.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# GW_QFP_SOIC_SSOP_TSSOP_SOT directory
#
GW_QFP_SOIC_SSOP_TSSOP_SOT:
  script:
    - ./generator.py --output_dir ./3dmodels --library GW_QFP_SOIC_SSOP_TSSOP_SOT --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Diode_SMD.3dshapes
      - 3dmodels/Package_QFP.3dshapes
      - 3dmodels/Package_SO.3dshapes
      - 3dmodels/TO_SOT_Packages_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Inductors_SMD directory
#
Inductors_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library Inductors_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Inductor_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# jst directory
#
jst:
  script:
    - ./generator.py --output_dir ./3dmodels --library jst --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_JST.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# L_Chip_SMD directory
#
L_Chip_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library L_Chip_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Inductor_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# LED_SMD directory
#
LED_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library LED_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/LED_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# molex directory
#
molex:
  script:
    - ./generator.py --output_dir ./3dmodels --library molex --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_FFC-FPC.3dshapes
      - 3dmodels/Connector_Molex.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Molex_5569 directory
#
Molex_5569:
  script:
    - ./generator.py --output_dir ./3dmodels --library Molex_5569 --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_Molex.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# mounting_wuerth directory
#
mounting_wuerth:
  script:
    - ./generator.py --output_dir ./3dmodels --library mounting_wuerth --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Connector_Molex.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Package_SIP directory
#
Package_SIP:
  script:
    - ./generator.py --output_dir ./3dmodels --library Package_SIP --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Package_SIP.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# phoenix_contact directory
#
phoenix_contact:
  script:
    - ./generator.py --output_dir ./3dmodels --library phoenix_contact --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/TerminalBlock_Phoenix.3dshapes
      - 3dmodels/Connector_Phoenix_MC.3dshapes
      - 3dmodels/Connector_Phoenix_MC_HighVoltage.3dshapes
      - 3dmodels/Connector_Phoenix_GMSTB.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Potentiometer_THT directory
#
Potentiometer_THT:
  script:
    - ./generator.py --output_dir ./3dmodels --library Potentiometer_THT --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Potentiometer_THT.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# QFN_packages directory
#
QFN_packages:
  script:
    - ./generator.py --output_dir ./3dmodels --library QFN_packages --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Diodes_SMD.3dshapes
      - 3dmodels/Housings_LGA.3dshapes
      - 3dmodels/RF_Antenna.3dshapes
      - 3dmodels/Housings_DFN_QFN.3dshapes
      - 3dmodels/RF_Converter.3dshapes
      - 3dmodels/Package_DFN_QFN.3dshapes
      - 3dmodels/TO_SOT_Packages_SMD.3dshapes
      - 3dmodels/Housings_SON.3dshapes
      - 3dmodels/Package_SON.3dshapes
      - 3dmodels/Package_SO.3dshapes
      - 3dmodels/Package_LGA.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Relay_THT directory
#
Relay_THT:
  script:
    - ./generator.py --output_dir ./3dmodels --library Relay_THT --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Relay_THT.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Resistor_SMD directory
#
Resistor_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library Resistor_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Resistor_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Resistor_THT directory
#
Resistor_THT:
  script:
    - ./generator.py --output_dir ./3dmodels --library Resistor_THT --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Resistors_THT.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# resistors_array_SMD directory
#
resistors_array_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library resistors_array_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Resistor_array_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# RF_Antenna_Chip_SMD directory
#
RF_Antenna_Chip_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library RF_Antenna_Chip_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/RF_Antenna.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Standoff_FF_MF directory
#
Standoff_FF_MF:
  script:
    - ./generator.py --output_dir ./3dmodels --library Standoff_FF_MF --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Spacers.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Switch_SMD directory
#
Switch_SMD:
  script:
    - ./generator.py --output_dir ./3dmodels --library Switch_SMD --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Switch_SMD_packages.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# TerminalBlock_Phoenix directory
#
TerminalBlock_Phoenix:
  script:
    - ./generator.py --output_dir ./3dmodels --library TerminalBlock_Phoenix --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/TerminalBlock_Phoenix.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# TO_SOT_Packages_SMD_custom directory
#
TO_SOT_Packages_SMD_custom:
  script:
    - ./generator.py --output_dir ./3dmodels --library TO_SOT_Packages_SMD_custom --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/TO_SOT_Packages_SMD.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Transformer_THT directory
#
Transformer_THT:
  script:
    - ./generator.py --output_dir ./3dmodels --library Transformer_THT --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Transformer_THT.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Valves directory
#
Valves:
  script:
    - ./generator.py --output_dir ./3dmodels --library Valves --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Valve.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04

#
# Varistor directory
#
Varistor:
  script:
    - ./generator.py --output_dir ./3dmodels --library Varistor --enable-vrml True
    # - ./validator.py --unvalidated_dir /tmp/3dmodels --validated_dir /usr/share/kicad/3dmodels/ > audit_log.txt
    # - cat ./audit_log.txt
  artifacts:
    paths:
      - 3dmodels/Varistor.3dshapes
      # - audit_log.txt
  when: manual
  timeout: 6 hours
  tags:
    - kicad-ubuntu20.04
